<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\_MODEL_;

class _NAME_Controller extends Controller
{

    public function index(Request $request)
    {
        $rows = _MODEL_::all();
        return view('_SLUG_.index', compact('rows'));
    }

    public function show(Request $request, $uid)
    {
        $row = _MODEL_::where('uid', $uid)->first();
        return view('_SLUG_.show', compact('row'));
    }

    public function create(Request $request)
    {
        return view('_SLUG_.create');
    }

    public function update(Request $request, $uid)
    {
        $row = _MODEL_::where('uid', $uid)->first();
        return view('_SLUG_.update', compact('row'));
    }

}
